##### 7.5.10.0. makeUsl2

Procedure from library `ncalg.lib` (see ncalg_lib).

Usage:
  makeUsl2([p]), p an optional integer (field characteristic)

Return:
  ring

Purpose:
  set up the U(sl_2) in the variables e,f,h over the field of char p

Note:
  activate this ring with the `setring` command

Example:

    LIB "ncalg.lib";
    def a=makeUsl2();
    setring a;
    a;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 3
    ==> //        block   1 : ordering dp
    ==> //                  : names    e f h
    ==> //        block   2 : ordering C
    ==> // noncommutative relations:
    ==> //    fe=ef-h
    ==> //    he=eh+2e
    ==> //    hf=fh-2f

See also: makeUg2; makeUgl; makeUsl.

User manual for Singular version 4.4.1, 2025, generated by texi2html.